3 Wire Unspecified Error = https://github.com/doceme/py-spidev/issues/100  
spidev documentation = https://pypi.org/project/spidev/  
RPI SPI documentation = https://www.raspberrypi.org/documentation/hardware/raspberrypi/spi/  
RPI SPI readme = https://www.raspberrypi.org/documentation/hardware/raspberrypi/spi/README.md  
RPI UART documentation = https://www.raspberrypi.org/documentation/configuration/uart.md  
SPI Pinout = https://pinout.xyz/pinout/spi  
AD7920 documentation = https://www.analog.com/media/en/technical-documentation/data-sheets/AD7910_7920.pdf  
MCP3002 documentation = http://www.farnell.com/datasheets/1599363.pdf  
Example code = https://learn.sparkfun.com/tutorials/python-programming-tutorial-getting-started-with-the-raspberry-pi/experiment-3-spi-and-analog-input  